/*  Diese Methode ermittelt für jeden hellen(weißen) Pixel,
    sprich wo der Array den Wert Null hat, die Distanz zum Ziel.
    Zielkoordinaten werden der Methode beim Aufruf übergeben.
    Dafür verwenden wir das Floodfill-Prinzip, wir schauen uns 
    also von jedem Pixel die umliegenden Pixel an, und geben 
    diesen einen Wert (vorausgesetzt der Pixel hat noch den Wert 
    Null, ist also weder schwarz, noch wurde ihm schon ein Wert 
    zugewiesen).
    Anfangs haben wir dies mit einer rekursiven Funktion versucht, 
    damit der Speicherplatz aber nicht überlastet wird, verwenden 
    wir hier eine LinkedList.  */

void distanz(int x, int y) {
  
  LinkedList<PVector> myQ = new LinkedList<PVector>();
  myQ.add(new PVector(x, y));
  
  // Ziel:
  arr[x][y]=1;
  
  while (!myQ.isEmpty()) {
    
    PVector v = myQ.poll();
    
    // Ausgabe: Koordinaten mit jeweiliger Zieldistanz:
    konsole.print(v);
    konsole.println(arr[(int)v.x][(int)v.y]);
    
    if ((int)v.x>=1&&(int)v.x<=SIZEX-1&&(int)v.y>=1&&(int)v.y<=SIZEY-1) {
      if (arr[(int)v.x][(int)v.y+1]==0) {
        myQ.add(new PVector(v.x, v.y+1));
        arr[(int)v.x][(int)v.y+1]=arr[(int)v.x][(int)v.y]+1; // Pixel darunter (unten)
      }
      if (arr[(int)v.x][(int)v.y-1]==0) {
        myQ.add(new PVector(v.x, v.y-1));
        arr[(int)v.x][(int)v.y-1]=arr[(int)v.x][(int)v.y]+1; // Pixel drüber (oben)
      }
      if (arr[(int)v.x+1][(int)v.y]==0) {
        myQ.add(new PVector(v.x+1, v.y));
        arr[(int)v.x+1][(int)v.y]=arr[(int)v.x][(int)v.y]+1; // Pixel rechts daneben
      }
      if (arr[(int)v.x-1][(int)v.y]==0) {
        myQ.add(new PVector(v.x-1, v.y));
        arr[(int)v.x-1][(int)v.y]=arr[(int)v.x][(int)v.y]+1; // Pixel links daneben
      }
    } else {
      konsole.println("Fehler bei der Distanzberechnung.");
    }
  }

}