/*  Die Klasse benötigen wir, als Datentyp der LinkedList, 
    die wir zum Speichern der Befehle verwenden, die an den 
    Roboter gesendet werden sollen.
    Ist für die Datenübertragung vom Programm zum Roboter 
    zuständig.  */

class Moving {

  int was;  // Fahren oder Drehen?
  int wie;  // Wie viele Pixel/Grad?

  // Konstruktor
  Moving(int i, int j) {
    was = i;
    wie = j;
  }


  /*  Methode, die dem Roboter den Fahrbefehl sendet.
      Zwei int-Werte(der Array) steuern den Steppermotor an; 
      sagen wieviele Steps gemacht werden müssen, um 
      gewisse Anzahl an Pixeln in echt zurückzulegen.
      Diese Information wird dann an die IP-Adresse 
      des Roboters gesendet.  */
  void oscdrive(int pixles) {
    OscMessage myMessage = new OscMessage("/stepper/steps");
    myMessage.add((int)Math.round(pixles*umrechner));
    myMessage.add((int)Math.round(pixles*umrechner));
    oscP5.send(myMessage, myRemoteLocation);
  }

  /*  Selbes Prinzip wie bei der oscdrive-Methode, nur dass 
      ein Drehbefehl gesendet wird, sprich die Stepper-Räder
      drehen sich in unterschiedliche Richtungen, das ergibt
      eine Drehung um X Grad.  */
  void oscturn(int richtwechsel) {
    OscMessage myMessage = new OscMessage("/stepper/steps");
    myMessage.add((int)Math.round( gradrechner*richtwechsel));
    myMessage.add((int)Math.round(-gradrechner*richtwechsel));
    oscP5.send(myMessage, myRemoteLocation);
  }


  /*  In dieser Methode wird geschaut, welche Art von Bewegung
      ausgeführt werden soll: wenn der erste übergebene Wert eine
      Null ist, soll der Roboter sich um X Grad drehen, und wenn
      der erste Wert eine 1 ist, soll der Roboter X Pixel fahren.
      Theoretisch, da es ja nur zwei Zustände sind, hätten wir auch
      einen boolean nehmen können, aber so wie es jetzt ist, könnte 
      man den Code noch für andere Fälle erweitern.  */
  void move() {
    if (this.was==0) {
      oscturn(this.wie);
    }
    if (this.was==1) {
      oscdrive(this.wie);
    } else println("Fehler bei Moving.move()");
  }

}