void setup() {

  oscP5 = new OscP5(this, 12000); // der Port, an den die OSC-Nachricht geht, muss individuell eingestellt werden
  // IP-Adresse und Portanschluss für die Kommunikation mit dem Roboter:
  myRemoteLocation = new NetAddress("192.168.0.101", 8000); // auch anpassen!

  konsole = createWriter("positions.txt"); // die Print-Befehle werden in eine (neue) Text-Datei geschrieben (bzw. überschrieben)
  size(160, 120); // muss der Länge des Array entsprechen
  
  /*  Kamera ansprechen: Bild aufnehmen  */
  video = new Capture(this, width, height, "/dev/video1"); // String = Kamera-Name (muss zuvor ermittelt werden)
  video.start();
  video.read();
  image(video, 0, 0, width, height);
  
  /*  Das Bild nach Helligkeit (s/w) auswerten, und jeden
      Pixel einen Wert dafür geben (-1/0) und dies in einem 
      2-dimensionalen Array speichern. ************************************ */
  video.loadPixels();
  
  int index = 0;
  for (int y = 0; y < video.height; y++) {
    for (int x = 0; x < video.width; x++) {

      int pixelWert = video.pixels[index];  //Bildpixel laden und umrechnen
      float pixelHelligkeit = brightness(pixelWert);
      index++; //Pixel zählen

      // Helligkeit bestimmen: schwarz (-1, Mauer)? sonst weiß (0, befahrbar)
      if (pixelHelligkeit < grenzwert_hell) { 
        arr[x][y] = -1;
      } else arr[x][y] = 0;
    }
  }
  /* *********************************************************************** */
  
  distanz(ZIELX,ZIELY); // Aufruf der Distanz-Methode

}