/*  Diese Methode bewirkt, dass der Roboter sich (von oben betrachtet)
    nach links bewegt. Da der Roboter ja theoretisch immer geradeaus 
    fährt, sich jedoch zwischendurch dreht, muss hier geprüft werden,
    ob der Roboter sich drehen muss, oder ob er sich bereits nach links
    bewegt. Dafür werden für alle Richtungen die Schritte gezählt, und
    sobald sich die Richtung ändert, die Schritte der alten Richtung 
    auf Null gesetzt und die Schritte der neuen Richtung angefangen zu 
    zählen. Und der Roboter bekommt den Drehbefehl.  */

void wegLinks() {

  posX--;

  /*  Prüfen, woher der Roboter kommt.
  
      Wenn er bspw. von rechts kommt, bedeutet das, dass dort
      bereits mehrere Schritte gezählt wurden, diese werden 
      nun in die Befehlsliste gespeichert (entspricht) dem 
      Befehl <<oscdrive(re_s)>>. Danach wird diese Variable 
      wieder mit Null initialisiert, und der Dreh-Befehl nach 
      links in die Liste gespeichert [oscturn(2*90)].  */
  if (re_s>0) {
    befehlsspeicher.add(new Moving(1, re_s)); // oscdrive(re_s);
    re_s = 0;
    befehlsspeicher.add(new Moving(0, 2*90)); // oscturn(2*90);
  }
  if (ob_s>0) {
    befehlsspeicher.add(new Moving(1, ob_s)); // oscdrive(ob_s);
    ob_s = 0;
    befehlsspeicher.add(new Moving(0, -90));  // oscturn(-90);
  }
  if (un_s>0) {
    befehlsspeicher.add(new Moving(1, un_s)); // oscdrive(un_s);
    un_s = 0;
    befehlsspeicher.add(new Moving(0, 90));   // oscturn(90);
  } 
  
  li_s++;  // Anzahl der Schritte nach links um eins erhöhen

}